Using iPad

Ipad 2, version iOS 9.3.5.

when trying to install some application, as for example Google Chrome, it tells me it can't be run in this Ipad because it needs a more updated IOS version. I get same results when trying to download many other applications.

Can someone help me to bypass this issue?

Thank You

Click to rate this post!
[Total: 0 Average: 0]

Related posts

I’m have trouble with the 13.3.1 update for my iPad.

Bobby

My ipad is not showing in FINDER or my Mac Laptop

Lamaxima

IPad activation

Alex

Leave a Comment